summaryrefslogtreecommitdiffstats
path: root/jjb/cicn/ubuntu-dependencies
diff options
context:
space:
mode:
Diffstat (limited to 'jjb/cicn/ubuntu-dependencies')
-rw-r--r--jjb/cicn/ubuntu-dependencies15
1 files changed, 15 insertions, 0 deletions
diff --git a/jjb/cicn/ubuntu-dependencies b/jjb/cicn/ubuntu-dependencies
new file mode 100644
index 000000000..cb349ac26
--- /dev/null
+++ b/jjb/cicn/ubuntu-dependencies
@@ -0,0 +1,15 @@
+#!/bin/bash
+
+set -euo pipefail
+IFS=$'\n\t'
+
+BUILD_TOOLS="build-essential cmake"
+LIBSSL_LIBEVENT="libevent-dev libssl-dev"
+LONGBOW_DEPS=""
+LIBPARC_DEPS="longbow $LIBSSL_LIBEVENT"
+LIBCCNX_COMMON_DEPS="$LIBPARC_DEPS libparc"
+LIBCCNX_TRANSPORT_RTA_DEPS="$LIBCCNX_COMMON_DEPS libccnx-common"
+LIBCCNX_PORTAL_DEPS="$LIBCCNX_TRANSPORT_RTA_DEPS libccnx-transport-rta"
+LIBICNET_DEPS="$LIBCCNX_PORTAL_DEPS libboost-system-dev"
+METIS_DEPS="$LIBCCNX_TRANSPORT_RTA_DEPS libccnx-transport-rta"
+HTTP_SERVER_DEPS="$LIBICNET_DEPS libicnet libboost-regex-dev libboost-filesystem-dev" \ No newline at end of file